Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233152 - ip=dhcp seems to be inverted
Summary: ip=dhcp seems to be inverted
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker 235441
TreeView+ depends on / blocked
 
Reported: 2007-03-20 18:00 UTC by Will Woods
Modified: 2008-05-23 17:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-21 21:08:13 UTC


Attachments (Terms of Use)

Description Will Woods 2007-03-20 18:00:58 UTC
If I boot rawhide with 'ip=dhcp ks=[url]' on the commandline, my system does not
attempt dhcp, and fails to retrieve the kickstart.

If I boot without 'ip=dhcp', the system *does* perform a DHCP request, gets an
address, and happily continues.

This is with anaconda-11.2.0.38, from today's rawhide.

Comment 1 David Cantrell 2007-03-21 21:08:13 UTC
Figured it out.  Here's the patch:

RCS file: /usr/local/CVS/anaconda/loader2/loader.c,v
retrieving revision 1.233
diff -u -p -r1.233 loader.c
--- loader.c    14 Mar 2007 20:24:47 -0000      1.233
+++ loader.c    21 Mar 2007 21:04:08 -0000
@@ -514,7 +514,7 @@ static void parseCmdLineIp(struct loader
     start = argv + 3;
     end = strstr(start, ":");
     loaderData->ip = strndup(start, end-start);
-    loaderData->ipinfo_set = 1;
+    loaderData->ipinfo_set = 0;
 
     /* Boot server */
     if (end + 1 == '\0')
@@ -542,7 +542,7 @@ static void parseCmdLineIp(struct loader
     loaderData->netmask = strdup(start);
   } else {
     loaderData->ip = strdup(argv + 3);
-    loaderData->ipinfo_set = 1;
+    loaderData->ipinfo_set = 0;
   }
 }

I love loader.  Fixed in anaconda CVS, closing as rawhide.  Will appear in the
next anaconda build.  You know the drill.

Comment 2 Christoph Dworzak 2008-05-23 17:27:32 UTC
I think this patch caused BUG #392021.

It makes no sense to clear ipinfo_set right after we set the ip.

This problem here is the probably somewhere else...



Note You need to log in before you can comment on or make changes to this bug.